Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class MonitorAccumModel

    java.lang.Object
      org.apache.jmeter.visualizers.MonitorAccumModel

All Implemented Interfaces:
  Clearable, Serializable

public class MonitorAccumModel
extends Object
implements Clearable, Serializable

See Also:
  Serialized Form

Constructor Summary
`MonitorAccumModel()`

Method Summary
`void` | `addListener(MonitorListener listener)` Add a listener.
`void` | `addSample(MonitorModel model)` Method will look up the server in the map.
`void` | `addSample(SampleResult sample)` Method will try to parse the response data.
`void` | `clearData()` Clears everything except the listener.
`MonitorModel` | `createNewMonitorModel(URL url)` Method will return a new MonitorModel object with the given URL.
`List` | `getAllSamples(String url)` Get all MonitorModels matching the URL.
`int` | `getBufferSize()`
`MonitorModel` | `getLastSample()` Added this method we that we can save the calculated stats.
`MonitorModel` | `getSample(String url)` Get the MonitorModel matching the url.
`void` | `noResponse(URL url)` If there is no response from the server, we create a new MonitorStats object with the current timestamp and health "dead".
`void` | `notifyListeners(MonitorModel model)` notify the listeners with the MonitorModel object.
`void` | `setBufferSize(int buffer)`
`void` | `setPrefix(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorAccumModel

    public MonitorAccumModel()

Method Detail

### getBufferSize

    public int getBufferSize()

### setBufferSize

    public void setBufferSize(int buffer)

### setPrefix

    public void setPrefix(String prefix)

### getLastSample

    public MonitorModel getLastSample()

  Added this method we that we can save the calculated stats.

  Returns:
    current sample

### addSample

    public void addSample(MonitorModel model)

  Method will look up the server in the map. The MonitorModel will be added to an existing list, or a new one will be created.

  Parameters:
    `model` -

### getAllSamples

    public List getAllSamples(String url)

  Get all MonitorModels matching the URL.

  Parameters:
    `url` -
  Returns:
    list

### getSample

    public MonitorModel getSample(String url)

  Get the MonitorModel matching the url.

  Parameters:
    `url` -
  Returns:
    list

### addSample

    public void addSample(SampleResult sample)

  Method will try to parse the response data. If the request was a monitor request, but the response was incomplete, bad or the server refused the connection, we will set the server's health to "dead". If the request was not a monitor sample, the method will ignore it.

  Parameters:
    `sample` -

### noResponse

    public void noResponse(URL url)

  If there is no response from the server, we create a new MonitorStats object with the current timestamp and health "dead".

  Parameters:
    `url` -

### createNewMonitorModel

    public MonitorModel createNewMonitorModel(URL url)

  Method will return a new MonitorModel object with the given URL. This is used when the server fails to respond fully, or is dead.

  Parameters:
    `url` -
  Returns:
    new MonitorModel

### clearData

    public void clearData()

  Clears everything except the listener. Do not clear the listeners. If we clear listeners, subsequent "run" will not notify the gui of data changes.

  Specified by:
    `clearData` in interface `Clearable`

### notifyListeners

    public void notifyListeners(MonitorModel model)

  notify the listeners with the MonitorModel object.

  Parameters:
    `model` -

### addListener

    public void addListener(MonitorListener listener)

  Add a listener. When samples are added, the class will notify the listener of the change.

  Parameters:
    `listener` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.